<?xml version='1.0' encoding='UTF-8'?>
<build>
  <actions>
    <hudson.model.ParametersAction>
      <parameters class="java.util.Arrays$ArrayList">
        <a class="hudson.model.ParameterValue-array">
          <hudson.model.StringParameterValue>
            <name>p4.label</name>
            <description></description>
            <value></value>
          </hudson.model.StringParameterValue>
          <hudson.model.StringParameterValue>
            <name>FINGERPRINT_TEXT</name>
            <description></description>
            <value></value>
          </hudson.model.StringParameterValue>
          <hudson.model.StringParameterValue>
            <name>P4_BRANCH</name>
            <description>Select the branch for deploy build.</description>
            <value>Main</value>
          </hudson.model.StringParameterValue>
        </a>
      </parameters>
    </hudson.model.ParametersAction>
    <hudson.plugins.parameterizedtrigger.DifferentiatingAction plugin="parameterized-trigger@2.26"/>
    <hudson.model.CauseAction>
      <causes>
        <hudson.model.Cause_-UpstreamCause>
          <upstreamProject>Project_Deploy2</upstreamProject>
          <upstreamUrl>job/Project_Deploy2/</upstreamUrl>
          <upstreamBuild>1</upstreamBuild>
          <upstreamCauses>
            <hudson.model.Cause_-UserIdCause>
              <userId>user</userId>
            </hudson.model.Cause_-UserIdCause>
          </upstreamCauses>
        </hudson.model.Cause_-UpstreamCause>
      </causes>
    </hudson.model.CauseAction>
    <org.jenkinsci.plugins.envinject.EnvInjectPluginAction plugin="envinject@1.91.1">
      <build class="build" reference="../../.."/>
    </org.jenkinsci.plugins.envinject.EnvInjectPluginAction>
    <org.jenkinsci.plugins.p4.tagging.TagAction plugin="p4@1.2.0">
      <tags/>
      <credential>f648c52a-1515-4f33-99ba-bd774ffa7b7e</credential>
      <client>jenkins-abc-CPL-301001-Project_Pack_Data</client>
      <buildChange class="int">574640</buildChange>
    </org.jenkinsci.plugins.p4.tagging.TagAction>
    <com.sonyericsson.rebuild.RebuildAction plugin="rebuild@1.22"/>
  </actions>
  <queueId>15</queueId>
  <timestamp>1427878475592</timestamp>
  <startTime>1427878475597</startTime>
  <result>SUCCESS</result>
  <duration>2115159</duration>
  <charset>windows-1252</charset>
  <keepLog>false</keepLog>
  <builtOn>abc-CPL-301001</builtOn>
  <workspace>d:\jenkins\workspace\Project_Pack_Data</workspace>
  <hudsonVersion>1.606</hudsonVersion>
  <scm class="org.jenkinsci.plugins.p4.changes.P4ChangeParser" plugin="p4@1.2.0"/>
  <culprits class="com.google.common.collect.RegularImmutableSortedSet">
    <string>Kevin</string>
  </culprits>
</build>